public class FormatTest{
  public static void main(String[] args) {
    System.out.println(String.format("Hi,%s", "小红"));  
    System.out.println(String.format("%s:%s.%s", "名单","张三","李四"));                           
    System.out.printf("字母a的大写是：%c %n", 'A');  
    System.out.printf("3>7的结果是：%b %n", 3>7);  
    System.out.printf("100的一半是：%d %n", 100/2);  
    System.out.printf("100的16进制数是：%x %n", 100);  
    System.out.printf("100的8进制数是：%o %n", 100);  
    System.out.printf("80元的书打8.5折扣是：%f 元%n", 80*0.85);  
    System.out.printf("上面价格的16进制数是：%a %n", 80*0.85);  
    System.out.printf("上面价格的指数表示：%e %n", 80*0.85);  
    System.out.printf("上面的折扣是%d%% %n", 85);  
    System.out.printf("字母A的散列码是：%h %n", 'A');    
  }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
